CREATE OR REPLACE FUNCTION dec_to_hour(dec_hour numeric)
  RETURNS text AS
$BODY$ 
DECLARE
  hour numeric;
  min numeric;
  ret text := '';
BEGIN
  if dec_hour = 0 then
    return '';
  elsif dec_hour < 0 then
    ret := '-';
  end if;
  dec_hour := abs(dec_hour);
  hour := trunc(dec_hour);
  min := dec_hour - hour;
  ret := ret ||cast(hour as text)||'h';
  if min > 0 then
    ret := ret || to_char(min*60, 'FM00');
  end if;
  RETURN ret;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION dec_to_hour(numeric)
  OWNER TO trac;